package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.SettledMerchantsInterests;

/**
 * 商户-政策类型Mapper接口
 * 
 * @author ruoyi
 * @date 2022-07-11
 */
public interface SettledMerchantsInterestsMapper 
{
    /**
     * 查询商户-政策类型
     * 
     * @param id 商户-政策类型主键
     * @return 商户-政策类型
     */
    public SettledMerchantsInterests selectSettledMerchantsInterestsById(Long id);

    /**
     * 查询商户-政策类型列表
     * 
     * @param settledMerchantsInterests 商户-政策类型
     * @return 商户-政策类型集合
     */
    public List<SettledMerchantsInterests> selectSettledMerchantsInterestsList(SettledMerchantsInterests settledMerchantsInterests);

    /**
     * 新增商户-政策类型
     * 
     * @param settledMerchantsInterests 商户-政策类型
     * @return 结果
     */
    public int insertSettledMerchantsInterests(SettledMerchantsInterests settledMerchantsInterests);

    /**
     * 修改商户-政策类型
     * 
     * @param settledMerchantsInterests 商户-政策类型
     * @return 结果
     */
    public int updateSettledMerchantsInterests(SettledMerchantsInterests settledMerchantsInterests);

    /**
     * 删除商户-政策类型
     * 
     * @param id 商户-政策类型主键
     * @return 结果
     */
    public int deleteSettledMerchantsInterestsById(Long id);

    /**
     * 批量删除商户-政策类型
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSettledMerchantsInterestsByIds(Long[] ids);

    void delectByBusinessId(Long businessId);
}
